<?php
    function uriExclue($uri) {
        global $EXCLUSION;
        reset($EXCLUSION);
        $resultat = false;
        while (!$resultat && list($cle, $valeur) = each($EXCLUSION)) {
            $resultat = ereg($valeur, $uri);
        }
        return $resultat;
    }

    function adresseValide($email) {
        $atom = '[-a-z0-9!#$%&\'*+/=?^_`{|}~]';
        $domain = '([a-z]([-a-z0-9]*[a-z0-9]+)?)';
        $regex = '^'.$atom.'+(\.' . $atom . '+)*@('.$domain.'{1,63}\.)+'.$domain.'{2,63}$';
        if (eregi($regex, $email))
        {
            list($user, $serveur) = explode("@", $email);
            if (gethostbyname($serveur) != $serveur) {
                return true;
            }
        }
        return false;
    }
?>