<?php
class IBDTemplate {
    var $corps; // Corps du template
    
    function IBDTemplate($corps = "") {
        $this->corps = $corps;
    }

    function charge($fichier) {
        if (file_exists("templates/".$fichier.".tmpl")) {
            $this->corps = file_get_contents("templates/".$fichier.".tmpl");
        }
        else {
            $this->corps = file_get_contents("templates/defaut.tmpl");
        }
    }

    function set($corps) {
        $this->corps = $corps;
    }

    function get() {
        return $this->corps;
    }

    function remplacerTableau($tableau) {
        reset($tableau);
        while (list($cle, $valeur) = each($tableau)) {
            $this->corps = ereg_replace("{".strtoupper($cle)."}", $valeur, $this->corps);
        }
    }

    function remplacerDirect($champ, $valeur) {
        $this->corps = ereg_replace("{".$champ."}", $valeur, $this->corps);
    }
}
?>